Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src.nodes
Interface ElementNodeFactory

All Known Implementing Classes:
  DefaultFactory, FilterFactory

    public interface ElementNodeFactory

A factory used to create instances of hierarchy node implementations. Loaders that use the element hierarchy should implement this factory so as to provide their own implementations of hierarchy element nodes.

See Also:
  `ClassChildren`, `SourceChildren`

Method Summary
`Node` | `createClassNode(ClassElement element)` Make a node representing a class.
`Node` | `createConstructorNode(ConstructorElement element)` Make a node representing a constructor.
`Node` | `createErrorNode()` Make a node indicating that there was an error creating the element children.
`Node` | `createFieldNode(FieldElement element)` Make a node representing a field.
`Node` | `createInitializerNode(InitializerElement element)` Make a node representing an initializer.
`Node` | `createMethodNode(MethodElement element)` Make a node representing a method.
`Node` | `createWaitNode()` Make a node indicating that the creation of children is still under way.

Method Detail

### createConstructorNode

    Node createConstructorNode(ConstructorElement element)

  Make a node representing a constructor.

  Parameters:
    `element` - the constructor
  Returns:
    a constructor node instance

### createMethodNode

    Node createMethodNode(MethodElement element)

  Make a node representing a method.

  Parameters:
    `element` - the method
  Returns:
    a method node instance

### createFieldNode

    Node createFieldNode(FieldElement element)

  Make a node representing a field.

  Parameters:
    `element` - the field
  Returns:
    a field node instance

### createInitializerNode

    Node createInitializerNode(InitializerElement element)

  Make a node representing an initializer.

  Parameters:
    `element` - the initializer
  Returns:
    an initializer node instance

### createClassNode

    Node createClassNode(ClassElement element)

  Make a node representing a class.

  Parameters:
    `element` - the class
  Returns:
    a class node instance

### createWaitNode

    Node createWaitNode()

  Make a node indicating that the creation of children is still under way. It should be used when the process is slow.

  Returns:
    a wait node

### createErrorNode

    Node createErrorNode()

  Make a node indicating that there was an error creating the element children.

  Returns:
    the error node

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.